<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsToMany;

class Tarea extends Model
{
    protected $guarded = [];

    public $timestamps = false;

    // Relación con Carrera
    public function carreraMaterial(): BelongsToMany
    {
        return $this->belongsToMany(Carrera::class);
    }
}
